    class
    	DATABASE_REPOSITORY [reference G -> DATABASE create default_create end]

    Ancestors
    	ACTION
    	BASIC_ROUTINES
    	DB_STATUS_USE
    	EXCEPTIONS
    	EXT_INTERNAL
    	TYPES [G -> DATABASE create default_create end]

    Clients
    	DATABASE_REPOSITORY [reference G -> DATABASE create default_create end]
    	DATABASE_STORE [reference G -> DATABASE create default_create end]
    	DB [reference G -> DATABASE create default_create end]
    	DB_REPOSITORY

    Suppliers
    	ARRAYED_LIST [G]
    	BOOLEAN
    	COLUMNS [G -> DATABASE create default_create end]
    	DATABASE*
    	DATABASE_REPOSITORY [reference G -> DATABASE create default_create end]
    	DB_CHANGE
    	DB_SELECTION
    	FILE*
    	INTEGER_32
    	STRING_8